Bug 691153 - Review Request: pam_shield - pam module to block brute force attacks
Summary: Review Request: pam_shield - pam module to block brute force attacks
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jeffrey Ness
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-03-27 07:05 UTC by Carl Thompson
Modified: 2011-04-25 18:56 UTC (History)
4 users (show)

Fixed In Version: pam_shield-0.9.5-7.el5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-04-07 18:48:12 UTC
jeffrey.ness: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Carl Thompson 2011-03-27 07:05:42 UTC
Spec URL: http://red-dragon.com/pam_shield.spec
SRPM URL: http://red-dragon.com/pam_shield-0.9.5-1.fc13.src.rpm
Description: This is a pam module that supports brute force blocking against pam
authentication mechanisms.

Comment 1 Carl Thompson 2011-03-29 04:53:44 UTC
Updated package with more stuff
Spec URL: http://red-dragon.com/pam_shield.spec
SRPM URL: http://red-dragon.com/pam_shield-0.9.5-2.fc13.src.rpm

Comment 2 Hushan Jia 2011-03-29 07:57:56 UTC
informal review :)

[ok] # MUST: rpmlint
[0k] # MUST: Package Naming Guidelines .
[ok] # MUST: The spec file name
[ok] # MUST: Packaging Guidelines .
[ok] # MUST: Package license
[ok] # MUST: The License field
[ok] # MUST: License in %doc
[ok] # MUST: The spec file must be written in American English.
[ok] # MUST: The spec file for the package MUST be legible.
[ok] # MUST: The sources tarball matches upstream
[ok] # MUST: The package MUST successfully compile and build
[N/A]# MUST: ExcludeArch
[ok] # MUST: All build dependencies must be listed in BuildRequires
[N/A] # MUST: The spec file MUST handle locales properly.
[N/A] # MUST: ldconfig for shared library
[N/A] # MUST: Packages must NOT bundle copies of system libraries.[11]
[N/A] # MUST: Package relocatable
[ok] # MUST: A package must own all directories that it creates.
[ok] # MUST: A Fedora package must not list a file more than once in the spec file's %files listings
[ok] # MUST: Permissions on files must be set properly.
[ok] # MUST: Each package must consistently use macros.
[ok] # MUST: The package must contain code, or permissable content.
[N/A] # MUST: Large documentation files must go in a -doc subpackage
[ok] # MUST: If a package includes something as %doc, it must not affect the runtime of the application
[N/A] # MUST: Header files must be in a -devel package
[N/A] # MUST: Static libraries must be in a -static package
[N/A] # MUST: Library with a suffix goes into -devel package
[N/A] # MUST: devel packages must require the base package
[ok] # MUST: Packages must NOT contain any .la libtool archives
[N/A] # MUST: Packages containing GUI applications include a %{name}.desktop file
[ok] # MUST: Packages must not own files or directories already owned by other packages
[ok] # MUST: All filenames in rpm packages must be valid UTF-8

[1]$ rpmlint pam_shield.spec pam_shield-0.9.5-2.fc13.src.rpm
pam_shield.src: I: enchant-dictionary-not-found en_US
1 packages and 1 specfiles checked; 0 errors, 0 warnings.
[2]$ md5sum pam_shield-0.9.5.tar.gz pam_shield/pam_shield-0.9.5.tar.gz 
cbfcd96fad38943ed78fd4d37307aba2  pam_shield-0.9.5.tar.gz <-- upstream
cbfcd96fad38943ed78fd4d37307aba2  pam_shield/pam_shield-0.9.5.tar.gz
[3]http://koji.fedoraproject.org/koji/taskinfo?taskID=2956281

- Please preserve the timestamps when installing
https://fedoraproject.org/wiki/Packaging:Guidelines#Timestamps

Comment 3 Jeffrey Ness 2011-03-29 20:05:53 UTC
Hey Carl,

Everything looks good from here. As mentioned you may want to add trailing slashes to your directories lines (this is purely preference, but allows you to quickly notice its a directory and not a file).

Also the sed lines are justified over a patch due to flexibility and possible future changes to the configuration.

------

PASSED MUST HAVE'S:

[ pass ] MUST rpmlint must be run on every package

[ pass ] MUST The package must be named according to the Package Naming 
         Guidelines

[ pass ] MUST The spec file name must match the base package %{name}

[ pass ] MUST The package must be licensed with a Fedora approved license
         and meet the Licensing Guidelines

[ pass ] MUST The License field in the package spec file must match the 
         actual license

[ pass ] MUST If (and only if) the source package includes the text of the 
         license(s) in its own file, then that file, containing the text of 
         the license(s) for the package must be included in %doc

[ pass ] MUST The spec file must be written in American English.

[ pass ] MUST The sources used to build the package must match the upstream 
         source, as provided in the spec URL. Reviewers should use md5sum for 
         this task. If no upstream URL can be specified for this package, 
         please see the Source URL Guidelines for how to deal with this.

[ pass ] MUST The package MUST successfully compile and build into binary 
         rpms on at least one primary architecture

[ pass ] MUST All build dependencies must be listed in BuildRequires, except 
         for any that are listed in the exceptions section of the Packaging 
         Guidelines ; inclusion of those as BuildRequires is optional. Apply 
         common sense.

[ pass ] MUST A package must own all directories that it creates. If it does 
         not create a directory that it uses, then it should require a package 
         which does create that directory.

[ pass ] MUST A package must not contain any duplicate files in the %files 
         listing.

[ pass ] MUST Permissions on files must be set properly. Executables should 
         be set with executable permissions, for example. Every %files section 
         must include a %defattr(...) line.

[ pass ] MUST Each package must have a %clean section, which contains rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).

[ pass ] MUST The package must contain code, or permissible content.

[ pass ] MUST Large documentation files must go in a -doc subpackage. (The 
         definition of large is left up to the packager's best judgement, but 
         is not restricted to size. Large can refer to either size or 
         quantity).

[ pass ] MUST If a package includes something as %doc, it must not affect the 
         runtime of the application. To summarize: If it is in %doc, the 
         program must run properly if it is not present.

[ pass ] MUST Packages must not own files or directories already owned by 
         other packages. The rule of thumb here is that the first package to 
         be installed should own the files or directories that other packages 
         may rely upon. This means, for example, that no package in Fedora 
         should ever share ownership with any of the files or directories 
         owned by the filesystem or man package. If you feel that you have a 
         good reason to own a file or directory that another package owns, 
         then please present that at package review time.

[ pass ] MUST At the beginning of %install, each package MUST run rm -rf
         %{buildroot} (or $RPM_BUILD_ROOT).

[ pass ] MUST All filenames in rpm packages must be valid UTF-8.

SKIPPED MUST HAVE's:

[ skip ]  MUST If the package does not successfully compile, build or work on 
         an architecture, then those architectures should be listed in the 
         spec in ExcludeArch. Each architecture listed in ExcludeArch MUST 
         have a bug filed in bugzilla, describing the reason that the package 
         does not compile/build/work on that architecture. The bug number MUST 
         be placed in a comment, next to the corresponding ExcludeArch line 

 http://fedoraproject.org/wiki/Packaging/Guidelines#Architecture_Build_Failures

[ skip ]  MUST The spec file MUST handle locales properly. This is done by 
         using the %find_lang macro. Using %{_datadir}/locale/* is strictly 
         forbidden 

 http://fedoraproject.org/wiki/Packaging/Guidelines#Handling_Locale_Files

[ skip ]  MUST Every binary RPM package (or subpackage) which stores shared 
         library files (not just symlinks) in any of the dynamic linker's 
         default paths, must call ldconfig in %post and %postun. 

 http://fedoraproject.org/wiki/Packaging/Guidelines#Shared_Libraries

[ skip ]  MUST If the package is designed to be relocatable, the packager must 
         state this fact in the request for review, along with the 
         rationalization for relocation of that specific package. Without 
         this, use of Prefix: /usr is considered a blocker. 

 http://fedoraproject.org/wiki/Packaging/Guidelines#RelocatablePackages

[ skip ]  MUST Header files must be in a -devel package. 

 http://fedoraproject.org/wiki/Packaging/Guidelines#DevelPackages

[ skip ]  MUST Static libraries must be in a -static package. 

 http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

[ skip ]  MUST Packages containing pkgconfig(.pc) files must 'Requires: 
         pkgconfig' (for directory ownership and usability). 

 http://fedoraproject.org/wiki/Packaging/Guidelines#PkgconfigFiles

[ skip ]  MUST If a package contains library files with a suffix (e.g. 
         libfoo.so.1.1), then library files that end in .so (without suffix) 
         must go in a -devel package. 

 http://fedoraproject.org/wiki/Packaging/ReviewGuidelines#cite_ref-devel_18-1

[ skip ]  MUST In the vast majority of cases, devel packages must require the 
         base package using a fully versioned dependency: Requires: %{name} =
         %{version}-%{release} 

 http://fedoraproject.org/wiki/Packaging/Guidelines#RequiringBasePackage

[ skip ]  MUST Packages must NOT contain any .la libtool archives, these must 
         be removed in the spec if they are built. 

 http://fedoraproject.org/wiki/Packaging/Guidelines#StaticLibraries

[ skip ]  MUST Packages containing GUI applications must include a
         %{name}.desktop file, and that file must be properly installed with 
         desktop-file-install in the %install section. If you feel that your 
         packaged GUI application does not need a .desktop file, you must put 
         a comment in the spec file with your explanation. 

 http://fedoraproject.org/wiki/Packaging/Guidelines#desktop

Comment 4 Carl Thompson 2011-03-29 20:31:14 UTC
New Package SCM Request
=======================
Package Name: pam_shield
Short Description: This is a pam module that supports brute force blocking against
pam authentication mechanisms.
Owners: redragon
Branches: f13 f14 f15 eL5 eL6
InitialCC: redragon

Comment 5 Jason Tibbitts 2011-03-30 03:33:54 UTC
Git done (by process-git-requests).

Comment 6 Fedora Update System 2011-03-30 05:05:35 UTC
pam_shield-0.9.5-2.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-2.fc14

Comment 7 Fedora Update System 2011-03-30 05:05:43 UTC
pam_shield-0.9.5-2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-2.el5

Comment 8 Fedora Update System 2011-03-30 05:05:50 UTC
pam_shield-0.9.5-2.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-2.fc13

Comment 9 Fedora Update System 2011-03-30 05:05:58 UTC
pam_shield-0.9.5-2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-2.el6

Comment 10 Fedora Update System 2011-03-30 05:06:05 UTC
pam_shield-0.9.5-2.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-2.fc15

Comment 11 Fedora Update System 2011-03-30 17:32:45 UTC
pam_shield-0.9.5-2.el6 has been pushed to the Fedora EPEL 6 testing repository.

Comment 12 Fedora Update System 2011-04-07 18:48:06 UTC
pam_shield-0.9.5-2.fc14 has been pushed to the Fedora 14 stable repository.

Comment 13 Fedora Update System 2011-04-07 18:52:57 UTC
pam_shield-0.9.5-2.fc13 has been pushed to the Fedora 13 stable repository.

Comment 14 Fedora Update System 2011-04-08 00:03:14 UTC
pam_shield-0.9.5-4.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-4.fc14

Comment 15 Fedora Update System 2011-04-08 00:03:27 UTC
pam_shield-0.9.5-4.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-4.el5

Comment 16 Fedora Update System 2011-04-08 00:03:39 UTC
pam_shield-0.9.5-4.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-4.fc13

Comment 17 Fedora Update System 2011-04-08 00:03:51 UTC
pam_shield-0.9.5-4.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-4.fc15

Comment 18 Fedora Update System 2011-04-08 00:04:03 UTC
pam_shield-0.9.5-4.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-4.el6

Comment 19 Fedora Update System 2011-04-10 08:44:50 UTC
pam_shield-0.9.5-7.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-7.fc14

Comment 20 Fedora Update System 2011-04-10 08:45:03 UTC
pam_shield-0.9.5-7.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-7.el5

Comment 21 Fedora Update System 2011-04-10 08:45:15 UTC
pam_shield-0.9.5-7.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-7.el6

Comment 22 Fedora Update System 2011-04-10 08:45:28 UTC
pam_shield-0.9.5-7.fc15 has been submitted as an update for Fedora 15.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-7.fc15

Comment 23 Fedora Update System 2011-04-10 08:45:40 UTC
pam_shield-0.9.5-7.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/pam_shield-0.9.5-7.fc13

Comment 24 Fedora Update System 2011-04-15 21:29:16 UTC
pam_shield-0.9.5-2.fc15 has been pushed to the Fedora 15 stable repository.

Comment 25 Fedora Update System 2011-04-20 03:22:16 UTC
pam_shield-0.9.5-7.fc15 has been pushed to the Fedora 15 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 26 Fedora Update System 2011-04-20 19:18:52 UTC
pam_shield-0.9.5-7.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 27 Fedora Update System 2011-04-20 19:21:17 UTC
pam_shield-0.9.5-7.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 28 Fedora Update System 2011-04-25 18:54:38 UTC
pam_shield-0.9.5-7.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 29 Fedora Update System 2011-04-25 18:56:17 UTC
pam_shield-0.9.5-7.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.